Skip to main content
`Ctrl`+`K`

# MatMFFDSetOptionsPrefix

Sets the prefix used for searching for all MATMFFD` options in the database.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMFFDSetOptionsPrefix(Mat mat, const char prefix[])

Collective

## Input Parameters

- mat - the `MATMFFD` context

- prefix - the prefix to prepend to all option names

## Note

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

Matrices, `Mat`, `MATMFFD`, `MatSetFromOptions()`, `MatCreateSNESMF()`, `MatCreateMFFD()`

## Level

advanced

## Location

src/mat/impls/mffd/mffd.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages